<?php
require dirname( __FILE__ ) . '/../../../../wp-load.php';
load_plugin_textdomain( 'amazilon', false, dirname( plugin_basename( __FILE__ ) ) . '/languages/' );
header( 'Content-type: text/javascript' );
?>
jQuery(document).ready(function () {
if ( typeof QTags !== 'undefined' )
{
QTags.addButton( 'amazilon-tpl', '<?php echo esc_attr( __( 'Amazilon',
	'amazilon' ) ); ?>', function() { tb_show( '<?php echo esc_attr( __( 'Amazilon',
	'amazilon' ) ); ?>', '<?php echo admin_url( 'admin.php?page=amazilon-generators&mini=true&fieldId=_qtags&TB_iframe=true' ); ?>'); } );
}

if ( typeof MyClipboard !== 'undefined' )
{
clipboard = new MyClipboard('.button-clipboard');
jQuery('.button-clipboard').tooltip( { 'disabled': true } );

clipboard.on('success', function(e) {
jQuery(e.trigger).attr( 'title', 'Copied!' );
jQuery(e.trigger).tooltip( 'open' );
jQuery(e.trigger).on( { 'mouseout': function (){ jQuery(this).tooltip('disable'); } } );
} );

clipboard.on('error', function(e) {
jQuery(e).attr('title', '<?php _e( 'Could not copy to clipboard!', 'amazilon' ); ?>');
jQuery(e.trigger).tooltip( 'open' );
jQuery(e.trigger).on( { 'mouseout': function (){ jQuery(this).tooltip('disable'); } } );
});
}
});
